Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035072
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-01-27 13:592017-02-01 15:55
ReporterairaceburuView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revision5888d236a684
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035072: The distribution of the payments is wrong in pay open tickets

DescriptionThe distribution of the payments is wrong in pay open tickets
Steps To ReproduceCreate 1 ticket with:
-Headlamp ultralight
Add a new ticket without payment this one
Add to this second ticket the product:
-Insect repellent
Add a new ticket without payment this one
Add to this third ticket the product:
-Multi-tool
Go to pay open tickets and select these 3 tickets
Pay 50 with card
Pay the rest with cash

Go to the backend
Open the latest ticket (sales order) and verify that the payments are wrong:
(3th ticket)
50 was paid with card
The rest is paid with cash
(2nd ticket)
14,50 was paid with card
(1st ticket)
18,90 was paid with card
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0093961)
hgbot (developer)
2017-01-31 16:15

Repository: tools/automation/pi-mobile
Changeset: 419e13634eea440e0071b9a0879f51a0861600f7
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Jan 31 16:14:27 2017 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/419e13634eea440e0071b9a0879f51a0861600f7 [^]

Verifies issue 35072: The distribution of the payments is wrong in pay
open tickets

Added test I35072_CorrectFinancialAccountWithPayOpen.

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I35072_CorrectFinancialAccountWithPayOpen.java
---
(0093962)
hgbot (developer)
2017-01-31 16:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5888d236a684cadcdb9763cf1fd4f4978eb84bb9
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Jan 30 17:25:40 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5888d236a684cadcdb9763cf1fd4f4978eb84bb9 [^]

Fixed issue 35072: The distribution of the payments is wrong in pay
open tickets

The payment should iterate and send the actual value through all iterations.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---

- Issue History
Date Modified Username Field Change
2017-01-27 13:59 airaceburu New Issue
2017-01-27 13:59 airaceburu Assigned To => Retail
2017-01-27 13:59 airaceburu Triggers an Emergency Pack => No
2017-01-30 09:23 airaceburu Steps to Reproduce Updated View Revisions
2017-01-30 09:48 jorge-garcia Status new => scheduled
2017-01-30 09:48 jorge-garcia Assigned To Retail => jorge-garcia
2017-01-31 16:15 hgbot Checkin
2017-01-31 16:15 hgbot Note Added: 0093961
2017-01-31 16:16 hgbot Checkin
2017-01-31 16:16 hgbot Note Added: 0093962
2017-01-31 16:16 hgbot Status scheduled => resolved
2017-01-31 16:16 hgbot Resolution open => fixed
2017-01-31 16:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5888d236a684cadcdb9763cf1fd4f4978eb84bb9 [^]
2017-02-01 15:55 marvintm Review Assigned To => marvintm
2017-02-01 15:55 marvintm Status resolved => closed
2017-02-01 15:55 marvintm Fixed in Version => RR17Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker